Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.net.server
Class ObjectInputStreamLogEventBridge

    java.lang.Object
      org.apache.logging.log4j.core.net.server.AbstractLogEventBridge<ObjectInputStream>
          org.apache.logging.log4j.core.net.server.ObjectInputStreamLogEventBridge

All Implemented Interfaces:
  LogEventBridge<ObjectInputStream>

    public class ObjectInputStreamLogEventBridge

extends AbstractLogEventBridge<ObjectInputStream>

Reads and logs serialized `LogEvent` objects from an `ObjectInputStream`.

Field Summary

Fields inherited from class org.apache.logging.log4j.core.net.server.AbstractLogEventBridge
`END, logger`

Constructor Summary
`ObjectInputStreamLogEventBridge()`

Method Summary
`void` | `logEvents(ObjectInputStream inputStream, LogEventListener logEventListener)` Reads `LogEvent`s from the given input stream and logs them as they are discovered on the given logger.
`ObjectInputStream` | `wrapStream(InputStream inputStream)` Wraps the given stream if needed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectInputStreamLogEventBridge

    public ObjectInputStreamLogEventBridge()

Method Detail

### logEvents

    public void logEvents(ObjectInputStream inputStream,
                          LogEventListener logEventListener)
                   throws IOException

  Description copied from interface: `LogEventBridge`
  Reads `LogEvent`s from the given input stream and logs them as they are discovered on the given logger.

  Parameters:
    `inputStream` - the input stream to read
    `logEventListener` - TODO
  Throws:
    `IOException`

### wrapStream

    public ObjectInputStream wrapStream(InputStream inputStream)
                                 throws IOException

  Description copied from interface: `LogEventBridge`
  Wraps the given stream if needed.

  Specified by:
    `wrapStream` in interface `LogEventBridge<ObjectInputStream>`
  Overrides:
    `wrapStream` in class `AbstractLogEventBridge<ObjectInputStream>`
  Parameters:
    `inputStream` - the stream to wrap
  Returns:
    the wrapped stream or the given stream.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.